Get Insight Experience Score Benchmark
curl --request POST \
--url https://api.birdeye.com/resources/v1/insight/experience/scoreBenchmark \
--header 'Content-Type: application/json' \
--data '
{
"reviewSources": [
"Google",
"Facebook",
"CitySearch"
],
"ratings": [
"0",
"1",
"3",
"4",
"5"
],
"businessNumbers": [
172957184851864,
174436684666401
],
"startDate": "02/25/2025",
"endDate": "02/01/2026"
}
'import requests
url = "https://api.birdeye.com/resources/v1/insight/experience/scoreBenchmark"
payload = {
"reviewSources": ["Google", "Facebook", "CitySearch"],
"ratings": ["0", "1", "3", "4", "5"],
"businessNumbers": [172957184851864, 174436684666401],
"startDate": "02/25/2025",
"endDate": "02/01/2026"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
reviewSources: ['Google', 'Facebook', 'CitySearch'],
ratings: ['0', '1', '3', '4', '5'],
businessNumbers: [172957184851864, 174436684666401],
startDate: '02/25/2025',
endDate: '02/01/2026'
})
};
fetch('https://api.birdeye.com/resources/v1/insight/experience/scoreBenchmark', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actual": {
"sentimentScore": 83.2,
"reputationScore": 73.2,
"experienceScore": 68.9,
"listingScore": 36.5,
"industrySentimentScore": 89.7,
"industryReputationScore": 86,
"industryExperienceScore": 87.8
},
"compare": {
"sentimentScore": 80,
"reputationScore": 72.8,
"experienceScore": 67.7,
"listingScore": 36.5
}
}{
"code": 2003,
"message": "businessNumbers are mandatory"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Insight AI
Insight Experience Score Benchmark
Insight Experience Score Benchmark API retrieves benchmark scores comparing actual performance against industry standards and specified comparison periods for sentiment, reputation, experience, and listing metrics.
POST
/
v1
/
insight
/
experience
/
scoreBenchmark
Get Insight Experience Score Benchmark
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
e.g. [Required] User associated businessNumber.
Media type of the JSON request body.
Body
application/json
List of business numbers (max 100).
Start date in MM/DD/YYYY format.
End date in MM/DD/YYYY format.
Review sources to include (e.g. Google, Facebook).
Rating values to filter (e.g. "1", "2", "3", "4", "5").
⌘I